Bug 1635344 - ovn-trace: ct_lb action not implemented
Summary: ovn-trace: ct_lb action not implemented
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch2.10
Version: 7.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: lorenzo bianconi
QA Contact: haidong li
URL:
Whiteboard:
Depends On: 1623529
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-02 17:05 UTC by lorenzo bianconi
Modified: 2019-01-07 08:51 UTC (History)
9 users (show)

Fixed In Version: openvswitch2.10-2.10.0-11.el7fdn
Doc Type: Enhancement
Doc Text:
This update adds the ct_lb action in the ovn-trace utility. As a result, it is now possible to test and debug load balancing rules in OVN with the ovn-trace command.
Clone Of: 1623529
Environment:
Last Closed: 2019-01-07 08:51:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0029 None None None 2019-01-07 08:51:23 UTC

Comment 3 haidong li 2018-12-03 03:04:22 UTC
this issue is verified on latest version:
[root@hp-dl388g8-19 ovn]#  ovn-nbctl get logical_switch s2 load_balancer
[3e6b58db-3b75-4158-899f-8edc157010e3]
[root@hp-dl388g8-19 ovn]#
[root@hp-dl388g8-19 ovn]# ovn-nbctl list load_balancer 3e6b58db-3b75-4158-899f-8edc157010e3
_uuid               : 3e6b58db-3b75-4158-899f-8edc157010e3
external_ids        : {}
name                : ""
protocol            : []
vips                : {"300::1"="2001:db8:103::11,2001:db8:103::12", "[300::1]:8000"="[2001:db8:103::11]:80,[2001:db8:103::12]:80"}
[root@hp-dl388g8-19 ovn]# 
[root@hp-dl388g8-19 ovn]# ovn-trace --ct=new --detail  s2  'inport == "hv1_vm00_vnet1" &&  ip6.dst == 300::1 && ip6.src == 2001:db8:102::11 && tcp.dst == 8000'
# tcp6,reg14=0x2,vlan_tci=0x0000,dl_src=00:00:00:00:00:00,dl_dst=00:00:00:00:00:00,ipv6_src=2001:db8:102::11,ipv6_dst=300::1,ipv6_label=0x00000,nw_tos=0,nw_ecn=0,nw_ttl=0,tp_src=0,tp_dst=8000,tcp_flags=0

ingress(dp="s2", inport="hv1_vm00_vnet1")
-----------------------------------------
 0. ls_in_port_sec_l2 (ovn-northd.c:3824): inport == "hv1_vm00_vnet1", priority 50, uuid 009cf26b
    next;
 4. ls_in_pre_lb (ovn-northd.c:3221): ip && ip6.dst == 300::1, priority 100, uuid 0dd3448c
    reg0[0] = 1;
    next;
 5. ls_in_pre_stateful (ovn-northd.c:3244): reg0[0] == 1, priority 100, uuid 67f17811
    ct_next;

ct_next(ct_state=new|trk)
-------------------------
10. ls_in_stateful (ovn-northd.c:3736): ct.new && ip6.dst == 300::1 && tcp.dst == 8000, priority 120, uuid bd3f3b92
    ct_lb([2001:db8:103::11]:80, [2001:db8:103::12]:80);

ct_lb
-----
16. ls_in_l2_lkup: no match (implicit drop)
[root@hp-dl388g8-19 ovn]#

Comment 5 errata-xmlrpc 2019-01-07 08:51:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0029


Note You need to log in before you can comment on or make changes to this bug.